!/bin/bash

# Paul "Worthless" Nijjar, 2021-04-20

# Move a window up to an earlier index
# $1: index of target window
# $2: current (source) position of window
# $3: destination position to move it to

# this cannot be done in tmux.conf because tmux cannot store variables
# for its local commands, so I cannot remember $1 .

#echo "First arg is $1, second is $2, third is $3"

# Zero is a special case
if [ $3 -eq 0 ]
then
    real_position=0
else
    real_position=$(( $3 - 1 ))
fi

if [ $2 -le  $3 ]
then
    #echo "changing real_position to $3"
    real_position=$(( $3 ))
fi

#echo "Real position: $real_position"

tmux new-window -a -t $real_position -n "dummy"
tmux swap-window -s "$1" -t "dummy"

if [ $3 -eq 0 ]
then
    # Move window one up
    tmux swap-window -s "$1" -t -1
fi

tmux kill-window -t "dummy"

